Package com.arms.api.clientcase.service

## Class ClientCaseServiceImpl

- java.lang.Object
- - com.arms.egovframework.javaservice.treeframework.service.TreeServiceImpl
  - - com.arms.api.clientcase.service.ClientCaseServiceImpl

- All Implemented Interfaces:
    `ClientCaseService`, `TreeService`

      @Service("clientCaseService")
      public class ClientCaseServiceImpl
      extends TreeServiceImpl
      implements ClientCaseService

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ClientCaseServiceImpl()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ClientCaseEntity` | `addClientCase​(ClientCaseEntity clientCaseEntity)` |
    `ClientCaseEntity` | `getClientCase​(java.lang.Long clientCaseId)` |
    `java.util.Map<java.lang.String,​java.lang.Object>` | `getPaginatedClientCaseList​(ClientCaseDTO clientCaseDTO, int pageIndex, int pageUnit)` |
    `ClientCaseEntity` | `removeClientCase​(java.lang.Long clientCaseId)` |
    `ClientCaseEntity` | `updateClientCase​(ClientCaseEntity clientCaseEntity)` |

    - ### Methods inherited from class com.arms.egovframework.javaservice.treeframework.service.TreeServiceImpl

      `addNode, alterNode, alterNodeType, calculatePosition, cutMyself, enterMyselfFixLeftRight, enterMyselfFromTree, fixPositionParentIdOfCopyNodes, getChildNode, getChildNodeWithoutPaging, getNode, getNodesWithoutRoot, getNodesWithoutRootMap, getPaginatedChildNode, moveNode, newInstance, overwriteNode, pasteMyselfFromTree, removeNode, saveOrUpdateList, searchNode, stretchLeft, stretchLeftRightForMyselfFromTree, stretchPositionForMyselfFromTree, stretchRight, updateField, updateNode`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.arms.egovframework.javaservice.treeframework.service.TreeService

      `addNode, alterNode, alterNodeType, getChildNode, getChildNodeWithoutPaging, getNode, getNodesWithoutRoot, getNodesWithoutRootMap, getPaginatedChildNode, moveNode, overwriteNode, removeNode, searchNode, updateField, updateNode`

- - ### Constructor Detail

    - #### ClientCaseServiceImpl

          public ClientCaseServiceImpl()

  - ### Method Detail

    - #### addClientCase

          public ClientCaseEntity addClientCase​(ClientCaseEntity clientCaseEntity)
                                         throws java.lang.Exception

      Specified by:
        `addClientCase` in interface `ClientCaseService`
      Throws:
        `java.lang.Exception`

    - #### getClientCase

          public ClientCaseEntity getClientCase​(java.lang.Long clientCaseId)
                                         throws java.lang.Exception

      Specified by:
        `getClientCase` in interface `ClientCaseService`
      Throws:
        `java.lang.Exception`

    - #### updateClientCase

          public ClientCaseEntity updateClientCase​(ClientCaseEntity clientCaseEntity)
                                            throws java.lang.Exception

      Specified by:
        `updateClientCase` in interface `ClientCaseService`
      Throws:
        `java.lang.Exception`

    - #### removeClientCase

          public ClientCaseEntity removeClientCase​(java.lang.Long clientCaseId)
                                            throws java.lang.Exception

      Specified by:
        `removeClientCase` in interface `ClientCaseService`
      Throws:
        `java.lang.Exception`

    - #### getPaginatedClientCaseList

          public java.util.Map<java.lang.String,​java.lang.Object> getPaginatedClientCaseList​(ClientCaseDTO clientCaseDTO,
                                                                                                   int pageIndex,
                                                                                                   int pageUnit)
                                                                                            throws java.lang.Exception

      Specified by:
        `getPaginatedClientCaseList` in interface `ClientCaseService`
      Throws:
        `java.lang.Exception`